(1.2.5)MCAPIを入れたら起動すらしません

テクスチャやMODの導入に関する質問はこちらでどうぞ!
フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999
  • (PostNo.308318)

(1.2.5)MCAPIを入れたら起動すらしません

投稿記事by kinakojimoto100 » 2017年9月26日(火) 01:38

数日前から、Minecraft1.2.5にMCAPIを入れようと思っていろいろやっているのですが、
Forge+OptifineをMCPatcherで導入して起動するところまでは行くのですが、そこにMCAPIを入れると、起動しません。ウィンドウすら出ません。MagicLuncherを使っても同じようなことになりました。
公式ランチャーは現在のものの一世代前のものを使っています。MCPatcherは5.0.3、MagicLuncherは1.3.4、Forgeは3.4.9.171、optifineは1.2.5_HD_U_C7、MCAPIが1.22.170827です。Forge=>Optifine=>MCAPIの順で導入しています。jsonの書き換えはしました。
ランチャーのログには
9 26, 2017 1:34:59 午前 net.minecraft.launchwrapper.LogWrapper log
情報: Using tweak class name net.minecraft.launchwrapper.VanillaTweaker
9 26, 2017 1:34:59 午前 net.minecraft.launchwrapper.LogWrapper log
情報: Launching wrapped minecraft
#### Minecraft.startMainThread ####
*[DEBUG] Block.static
*[DEBUG] Item.static
27 achievements
166 recipes
9 26, 2017 1:35:00 午前 net.minecraft.launchwrapper.LogWrapper log
重大: Unable to launch
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:57)
at net.minecraft.launchwrapper.Launch.main(Launch.java:18)
Caused by: java.lang.NoSuchMethodError: org.lwjgl.opengl.Display.getPixelScaleFactor()F
at net.minecraft.client.Minecraft.<init>(Minecraft.java:103)
at hq.<init>(SourceFile:2073)
at net.minecraft.client.Minecraft.a(Minecraft.java:2335)
at net.minecraft.client.Minecraft.a(Minecraft.java:2311)
at net.minecraft.client.Minecraft.fmlReentry(Minecraft.java:2392)
at cpw.mods.fml.client.FMLClientHandler.preGameLoad(FMLClientHandler.java:969)
at net.minecraft.client.Minecraft.main(Minecraft.java:2386)
... 6 more
と書かれています。何か存在しない値を参照しているらしいのですがよくわかりません。

どうすれば起動できるのでしょうか。
kinakojimoto100
ID:4d11cb14
水から上がったとこ
 
記事: 5
登録日時: 2017年9月26日(火) 01:04

  • (PostNo.308328)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by flabs » 2017年9月26日(火) 20:26

> Caused by: java.lang.NoSuchMethodError: org.lwjgl.opengl.Display.getPixelScaleFactor()F

MCAPI-1.22.170728からLWJGL2.9.3が必須になりました。
配布元でLWJGLの導入方法が記載されていたはずなので、そちらを参考に導入して見ると改善する可能性があります。

125forum MOD更新 MinecraftAPI-1.22.170728
http://minecraft125user.nisfan.net/foru ... t=20#p1047
flabs
ID:b7cca834
 

  • (PostNo.308329)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by flabs » 2017年9月26日(火) 20:44

追記。

MCAPI-1.19.170227以降は第一世代ランチャー(mc1.5.xまでのランチャー)以外では動作しない可能性があります。
その場合、第一世代ランチャーを使うか、MCAPIのバージョンを下げて見る(MCAPI-1.19.170122やそれ以前のバージョンなら動く可能性が高い)か、自己責任で他の外部ランチャーを試して見るか、ダメ元で作者様に相談して見ると良いかも知れません。
flabs
ID:b7cca834
 

  • (PostNo.308438)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by kinakojimoto100 » 2017年9月28日(木) 23:37

調べたところ旧ランチャーの起動方式にするにはbinフォルダを作って起動しなければならないとのことで、binにminecraft.jarやLWJGL2.9.3などを入れてMagicLuncherからClassicで起動したのですが今度は

#### Minecraft.startMainThread ####
*[DEBUG] Block.static
*[DEBUG] Item.static
27 achievements
166 recipes
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at magic.launcher.Launcher.main(SourceFile:214)
Caused by: java.lang.NullPointerException
at net.minecraft.client.Minecraft.<init>(Minecraft.java:117)
at hq.<init>(SourceFile:2073)
at net.minecraft.client.Minecraft.a(Minecraft.java:2335)
at net.minecraft.client.Minecraft.a(Minecraft.java:2311)
at net.minecraft.client.Minecraft.fmlReentry(Minecraft.java:2392)
at cpw.mods.fml.client.FMLClientHandler.preGameLoad(FMLClientHandler.java:969)
at net.minecraft.client.Minecraft.main(Minecraft.java:2386)
... 5 more

と。どうやらmodのバグらしいのですが、原因がわかりません。
一応MCPatcherのバージョンも下げてMCAPIも1.19 170122でやってみたのですが起動すると画面が真っ白に。

どうしたら良いですか?
kinakojimoto100
ID:4d11cb14
水から上がったとこ
 
記事: 5
登録日時: 2017年9月26日(火) 01:04

  • (PostNo.308444)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by flabs » 2017年9月29日(金) 00:51

MODのバグではなく、MCAPIは第一世代ランチャー以外では動作の保障はありません。

画面が真っ白になると言う事は、おそらくOptiFine_1.2.5_HD_U_C7が入っていない可能性があります。
もう一度、前提MODやMODの導入順番を確認して見てください。

一応、こちらではMCAPI配布元に記載されている最低動作保障環境である、MinecraftForge-Client-3.4.9.171、OptiFine_1.2.5_HD_U_C7、MCAPI(1.19.170122)と、Magic Launcher 1.3.4での動作を確認しています。
添付ファイル
minecraft_sample00001.png
Magic Launcher 1.3.4での最低動作保障環境
flabs
ID:54655328
 

  • (PostNo.308871)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by kinakojimoto100 » 2017年10月08日(日) 14:53

返信遅くなり、すみません。
返信していただいたとおりに導入したのですが、シングルプレイのボタンを押すと
2 mods loaded
Optifine OptiFine_1.2.5_HD_U_C7
Minecraft Forge 3.4.9.171
MinectaftAPI 1.19.170122
Forge Mod Loader version 2.2.106.176 for Minecraft 1.2.5
mod_MinecraftForge : Available (minecraft.jar)
mod_MinecraftAPI : Available (minecraft.jar)


Minecraft has crashed!
----------------------

Minecraft has stopped running because it encountered a problem.




--- BEGIN ERROR REPORT 480e779b --------
Generated 17/10/08 14:53

Minecraft: Minecraft 1.2.5
OS: Windows 10 (amd64) version 10.0
Java: 1.8.0_144, Oracle Corporation
VM: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
LWJGL: 2.9.3
OpenGL: Intel(R) HD Graphics 620 version 4.4.0 - Build 21.20.16.4574, Intel

java.lang.ArrayIndexOutOfBoundsException: 2
at iz.a(SourceFile:256)
at if.a(SourceFile:254)
at mw.a(SourceFile:192)
at lr.b(EntityRenderer.java:1224)
at net.minecraft.client.Minecraft.x(Minecraft.java:789)
at net.minecraft.client.Minecraft.run(Minecraft.java:666)
at java.lang.Thread.run(Unknown Source)
--- END ERROR REPORT 1e026a53 ----------

クラッシュします。

何が問題なのでしょうか。
kinakojimoto100
ID:4d11cb14
水から上がったとこ
 
記事: 5
登録日時: 2017年9月26日(火) 01:04

  • (PostNo.308886)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by flabs » 2017年10月08日(日) 19:05

> java.lang.ArrayIndexOutOfBoundsException: 2
> at iz.a(SourceFile:256)
> at if.a(SourceFile:254)
> at mw.a(SourceFile:192)
> at lr.b(EntityRenderer.java:1224)
> at net.minecraft.client.Minecraft.x(Minecraft.java:789)
> at net.minecraft.client.Minecraft.run(Minecraft.java:666)
> at java.lang.Thread.run(Unknown Source)

このエラーは、デフォルトでアドベンチャーモードになっているワールドデータを読み込もうとしてクラッシュするmc1.2.5の仕様です。
savesフォルダ内にデフォルトでアドベンチャーモードになっているワールドデータがある場合は、そのワールドデータを別のフォルダに移動させるか、一旦savesフォルダの中身を空にすると改善する可能性があります。
デフォルトでアドベンチャーモードになっているかどうかは、mc1.3.2以降を起動してワールド選択画面で確認するか、MCEditやNBTExplorerなどで確認することが可能です。
flabs
ID:901bbe68
 

  • (PostNo.308973)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by kinakojimoto100 » 2017年10月09日(月) 22:22

何度もすいません。
savesを空にしたら、起動できました。
起動はできたのですが、MCAPI必須のMODを入れると白い画面で止まります。
*** MagicMinecraftLauncher 1.3.4 ***
LCP: ;bin/jinput.jar;bin/lwjgl.jar;bin/lwjgl_util.jar;C:\Users\gumiz\AppData\Roaming\.minecraft\bin\minecraft.jar
McVersion: (modified!) 1.2.5
MainClass: net.minecraft.client.Minecraft
Restoring disabled mods: mods
Restoring disabled mods: mods/(modified!) 1.2.5
Disable inactive mods: mods
Restoring disabled mods: coremods
Restoring disabled mods: coremods/(modified!) 1.2.5
Disable inactive mods: coremods
#### Minecraft.startMainThread ####
MCPatcherUtils initialized. Directory C:\Users\gumiz\AppData\Roaming\.minecraft\.
27 achievements
166 recipes
*** Main class main() finished ***
#### Minecraft.startGame ####
#### compareTo: 3
LWJGL Version: 2.9.3
Skipping bad option: ofChunkLoading:0

OptiFine_1.2.5_HD_U_C7
Mon Oct 09 22:21:00 JST 2017
OS: Windows 10 (amd64) version 10.0
Java: 1.8.0_144, Oracle Corporation
VM: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
LWJGL: 2.9.3
OpenGL: Intel(R) HD Graphics 620 version 4.4.0 - Build 21.20.16.4574, Intel
OpenGL Version: 4.0
OpenGL Fancy fog: Not available (GL_NV_fog_distance)
Checking for new version
setupTexture: "/title/mojang.png", id: 1
2017-10-09 22:21:00 [INFO] Forge Mod Loader version 2.2.106.176 for Minecraft c:1.2.5, s:1.2.5 loading
2017-10-09 22:21:00 [INFO] Forge Mod Loader has detected optifine OptiFine_1.2.5_HD_U_C7, enabling compatibility features
#### mod_MinecraftAPI.configLoad ####
2017-10-09 22:21:00 [INFO] テヘテOマoラᅪテフテxテヒツ￰ FINEST ツ￉ミ￝メ│ツᄉツᅵツᄋチB
2017-10-09 22:21:00 [INFO] minecraft.jar ツᅥツᄏツ↑ツ￉ハᅵツᅵツ↑ツ←MODチAハᅱリAテtテ@テCテヒツ￰テヘチ[テhツᄉツᅵツᄋチB
2017-10-09 22:21:00 [INFO] Loading mods from C:\Users\gumiz\AppData\Roaming\.minecraft\mods
2017-10-09 22:21:00 [INFO] Forge Mod Loader has loaded 11 mods
WARNING: Found unknown Windows version: Windows 10
Attempting to use default windows plug-in.
Loading: net.java.games.input.DirectAndRawInputEnvironmentPlugin
Restoring disabled mods: mods
Restoring disabled mods: coremods
Restoring disabled mods: mods/(modified!) 1.2.5
Restoring disabled mods: coremods/(modified!) 1.2.5
Failed to initialize device Synaptics HID-Compliant Touch pad Device because of: java.io.IOException: Failed to acquire device (8007001e)
MinecraftForge v3.4.9.171 Initialized
2017-10-09 22:21:01 [INFO] MinecraftForge v3.4.9.171 Initialized
setupTexture: "/terrain2.png", id: 7
setupTexture: "/gui/items2.png", id: 8
setupTexture: "/mod_psBeacon/ps125terrain.png", id: 9
setupTexture: "/mod_psBeacon/ps125items.png", id: 10
Exception in thread "Minecraft main thread" java.lang.NoClassDefFoundError: mod_psSystem
at mod_psBeacon.load(mod_psBeacon.java:71)
at cpw.mods.fml.common.modloader.ModLoaderModContainer.init(ModLoaderModContainer.java:474)
at cpw.mods.fml.common.Loader.modInit(Loader.java:324)
at cpw.mods.fml.common.Loader.initializeMods(Loader.java:735)
at cpw.mods.fml.client.FMLClientHandler.onLoadComplete(FMLClientHandler.java:223)
at net.minecraft.client.Minecraft.a(Minecraft.java:335)
at net.minecraft.client.Minecraft.run(Minecraft.java:651)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: mod_psSystem
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
... 8 more
logにはこう記載されていました。

何か原因があるのでしょうか。教えていただけると幸いです。

追記:それぞれ抜いてみたところ、psSystemだけがエラーを起こしているようで、psSystemだけ抜いたら正常に起動しプレイできました。
MCAPIのバージョンは1.19-170329で、psSystemは2.0.33.170405でも2.0.31.160212でもダメでした。
kinakojimoto100
ID:4d11cb14
水から上がったとこ
 
記事: 5
登録日時: 2017年9月26日(火) 01:04

  • (PostNo.308981)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by flabs » 2017年10月09日(月) 23:48

> 起動はできたのですが、MCAPI必須のMODを入れると白い画面で止まります。
> Exception in thread "Minecraft main thread" java.lang.NoClassDefFoundError: mod_psSystem
> at mod_psBeacon.load(mod_psBeacon.java:71)

> 追記:それぞれ抜いてみたところ、psSystemだけがエラーを起こしているようで、psSystemだけ抜いたら正常に起動しプレイできました。
> MCAPIのバージョンは1.19-170329で、psSystemは2.0.33.170405でも2.0.31.160212でもダメでした。

psSystemとpsBeaconが競合している可能性があります。

psSystemの機能はMCAPIにほとんど統合されていますが、最新のpsSystemの機能を内包していない可能性があります。
psSystemかpsBeaconのどちらかを外すか、第一世代ランチャーを用いてMCAPIを最新版にしてpsSystemを外すか、作者様にご相談ください。
flabs
ID:54655328
 

  • (PostNo.308982)

Re: (1.2.5)MCAPIを入れたら起動すらしません

投稿記事by flabs » 2017年10月09日(月) 23:56

追記。
競合ではなくpsBeaconが現在のpsSystemに対応していないと言うのが正しいと思われます。
flabs
ID:54655328
 


Return to 質問:MOD/テクスチャ/その他ツール関係

x